0

I get this error after running apt-get update on ubuntu server 16.04:

W: The repository 'http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.0 Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: http://packages.elastic.co/elasticsearch/1.7/debian/dists/stable/Release.gpg: Signature by key 46095ACC8568582C1A2699B9D27D666CD88E42B4 uses weak digest algorithm (SHA1)
E: Failed to fetch http://repo.mongodb.org/apt/ubuntu/dists/xenial/mongodb-org/3.0/multiverse/binary-amd64/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

I have seen duplicates of this but they are about a PPA, removing the package via apt-get remove does not fix the problem.

There's also that weak signature key for elasticsearch, anything I can do about it?

I installed mongodb and elasticsearch for graylog, encountered some problems and decided to uninstall them and start from scratch.

Thanks for your help!

UPDATES: mongodb-org is NOT installed. I followed the link and there is no 3.0 version: http://repo.mongodb.org/apt/ubuntu/dists/xenial/mongodb-org/

How can i delete the instruction to fetch that package?

0

Solved.

I had to manually remove mongodb-org-3.0.list in /etc/apt/sources.list.d/

Hopefully the server wont blowup.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.